<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.ss.formula.ptg (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.ss.formula.ptg (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/udf/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/ptg/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.ss.formula.ptg</h1>
    <div class="docSummary">
        <div class="block">formula package contains binary PTG structures used in Formulas</div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaI.html"
                                            title="interface in org.apache.poi.ss.formula.ptg">AreaI</a></td>
                    <td class="colLast">
                        <div class="block">Common interface for AreaPtg and Area3DPtg, and their child classes.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg.html"
                                            title="interface in org.apache.poi.ss.formula.ptg">Pxg</a></td>
                    <td class="colLast">
                        <div class="block">An XSSF only special kind of Ptg, which stores the sheet / book
                            reference in string form.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg3D.html"
                                            title="interface in org.apache.poi.ss.formula.ptg">Pxg3D</a></td>
                    <td class="colLast">
                        <div class="block">An XSSF only special kind of Ptg, which stores a range of
                            sheet / book references in string form.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/AbstractFunctionPtg.html"
                            title="class in org.apache.poi.ss.formula.ptg">AbstractFunctionPtg</a></td>
                    <td class="colLast">
                        <div class="block">This class provides the base functionality for Excel sheet functions
                            There are two kinds of function Ptgs - tFunc and tFuncVar
                            Therefore, this class will have ONLY two subclasses
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/AddPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">AddPtg</a></td>
                    <td class="colLast">
                        <div class="block">Addition operator PTG the "+" binomial operator.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/Area2DPtgBase.html"
                                            title="class in org.apache.poi.ss.formula.ptg">Area2DPtgBase</a></td>
                    <td class="colLast">
                        <div class="block">Common superclass of 2-D area refs</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">Area3DPtg</a></td>
                    <td class="colLast">
                        <div class="block">Title: Area 3D Ptg - 3D reference (Sheet + Area)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">Area3DPxg</a></td>
                    <td class="colLast">
                        <div class="block">Title: XSSF Area 3D Reference (Sheet + Area)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaErrPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">AreaErrPtg</a></td>
                    <td class="colLast">
                        <div class="block">AreaErr - handles deleted cell area references.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaI.OffsetArea.html"
                                            title="class in org.apache.poi.ss.formula.ptg">AreaI.OffsetArea</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaNPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">AreaNPtg</a></td>
                    <td class="colLast">
                        <div class="block">Specifies a rectangular area of cells A1:A4 for instance.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">AreaPtg</a></td>
                    <td class="colLast">
                        <div class="block">Specifies a rectangular area of cells A1:A4 for instance.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html"
                                            title="class in org.apache.poi.ss.formula.ptg">AreaPtgBase</a></td>
                    <td class="colLast">
                        <div class="block">Specifies a rectangular area of cells A1:A4 for instance.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/ArrayPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">ArrayPtg</a></td>
                    <td class="colLast">
                        <div class="block">ArrayPtg - handles arrays

                            The ArrayPtg is a little weird, the size of the Ptg when parsing initially only
                            includes the Ptg sid and the reserved bytes.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/AttrPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">AttrPtg</a></td>
                    <td class="colLast">
                        <div class="block">"Special Attributes"
                            This seems to be a Misc Stuff and Junk record.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/AttrPtg.SpaceType.html"
                            title="class in org.apache.poi.ss.formula.ptg">AttrPtg.SpaceType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/BoolPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">BoolPtg</a></td>
                    <td class="colLast">
                        <div class="block">Boolean (boolean) Stores a (java) boolean value in a formula.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/ConcatPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">ConcatPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/ControlPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">ControlPtg</a></td>
                    <td class="colLast">
                        <div class="block">Common superclass for
                            tExp
                            tTbl
                            tParen
                            tNlr
                            tAttr
                            tSheet
                            tEndSheet
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/Deleted3DPxg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">Deleted3DPxg</a></td>
                    <td class="colLast">
                        <div class="block">An XSSF only representation of a reference to a deleted area</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/DeletedArea3DPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">DeletedArea3DPtg</a></td>
                    <td class="colLast">
                        <div class="block">Title: Deleted Area 3D Ptg - 3D referecnce (Sheet + Area)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/DeletedRef3DPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">DeletedRef3DPtg</a></td>
                    <td class="colLast">
                        <div class="block">Title: Deleted Reference 3D Ptg</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/DividePtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">DividePtg</a></td>
                    <td class="colLast">
                        <div class="block">This PTG implements the standard binomial divide "/"</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/EqualPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">EqualPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/ErrPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">ErrPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/ExpPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">ExpPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/FuncPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">FuncPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/FuncVarPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">FuncVarPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/GreaterEqualPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">GreaterEqualPtg</a></td>
                    <td class="colLast">
                        <div class="block">PTG class to implement greater or equal to</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/GreaterThanPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">GreaterThanPtg</a></td>
                    <td class="colLast">
                        <div class="block">Greater than operator PTG ">"</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/IntersectionPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">IntersectionPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/IntPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">IntPtg</a></td>
                    <td class="colLast">
                        <div class="block">Integer (unsigned short integer) Stores an unsigned short value (java int) in
                            a formula
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/LessEqualPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">LessEqualPtg</a></td>
                    <td class="colLast">
                        <div class="block">Ptg class to implement less than or equal</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/LessThanPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">LessThanPtg</a></td>
                    <td class="colLast">
                        <div class="block">Less than operator PTG "<".</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/MemAreaPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">MemAreaPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/MemErrPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">MemErrPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/MemFuncPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">MemFuncPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/MissingArgPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">MissingArgPtg</a></td>
                    <td class="colLast">
                        <div class="block">Missing Function Arguments

                            Avik Sengupta &lt;avik at apache.org&gt;
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/MultiplyPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">MultiplyPtg</a></td>
                    <td class="colLast">
                        <div class="block">Implements the standard mathmatical multiplication - *</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/NamePtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">NamePtg</a></td>
                    <td class="colLast">
                        <div class="block">See the spec at 2.5.198.76 PtgName</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/NameXPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">NameXPtg</a></td>
                    <td class="colLast">
                        <div class="block">A Name, be that a Named Range or a Function / User Defined
                            Function, addressed in the HSSF External Sheet style.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/NameXPxg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">NameXPxg</a></td>
                    <td class="colLast">
                        <div class="block">A Name, be that a Named Range or a Function / User Defined
                            Function, addressed in the HSSF External Sheet style.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/NotEqualPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">NotEqualPtg</a></td>
                    <td class="colLast">
                        <div class="block">Ptg class to implement not equal</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/NumberPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">NumberPtg</a></td>
                    <td class="colLast">
                        <div class="block">Number Stores a floating point value in a formula value stored in a 8 byte
                            field using IEEE notation
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/OperandPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">OperandPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/OperationPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">OperationPtg</a></td>
                    <td class="colLast">
                        <div class="block">defines a Ptg that is an operation instead of an operand</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/ParenthesisPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">ParenthesisPtg</a></td>
                    <td class="colLast">
                        <div class="block">While formula tokens are stored in RPN order and thus do not need parenthesis
                            for precedence reasons, Parenthesis tokens ARE written to ensure that user
                            entered parenthesis are displayed as-is on reading back

                            Avik Sengupta &lt;lists@aviksengupta.com&gt; Andrew C.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/PercentPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">PercentPtg</a></td>
                    <td class="colLast">
                        <div class="block">Percent PTG.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/PowerPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">PowerPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">Ptg</a></td>
                    <td class="colLast">
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/RangePtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">RangePtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/Ref3DPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">Ref3DPtg</a></td>
                    <td class="colLast">
                        <div class="block">Title: Reference 3D Ptg</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/Ref3DPxg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">Ref3DPxg</a></td>
                    <td class="colLast">
                        <div class="block">Title: XSSF 3D Reference</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/RefErrorPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">RefErrorPtg</a></td>
                    <td class="colLast">
                        <div class="block">RefError - handles deleted cell reference</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/RefNPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">RefNPtg</a></td>
                    <td class="colLast">
                        <div class="block">RefNPtg</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/RefPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">RefPtg</a></td>
                    <td class="colLast">
                        <div class="block">ReferencePtg - handles references (such as A1, A2, IA4)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/RefPtgBase.html"
                                            title="class in org.apache.poi.ss.formula.ptg">RefPtgBase</a></td>
                    <td class="colLast">
                        <div class="block">ReferencePtgBase - handles references (such as A1, A2, IA4)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/ScalarConstantPtg.html"
                            title="class in org.apache.poi.ss.formula.ptg">ScalarConstantPtg</a></td>
                    <td class="colLast">
                        <div class="block">Common superclass of all <a
                                href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a>s that represent
                            simple constant values.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/StringPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">StringPtg</a></td>
                    <td class="colLast">
                        <div class="block">String Stores a String value in a formula value stored in the format
                            &lt;length 2 bytes&gt;char[]
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/SubtractPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">SubtractPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/TblPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">TblPtg</a></td>
                    <td class="colLast">
                        <div class="block">This ptg indicates a data table.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/UnaryMinusPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">UnaryMinusPtg</a></td>
                    <td class="colLast">
                        <div class="block">Unary Plus operator
                            does not have any effect on the operand
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/UnaryPlusPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">UnaryPlusPtg</a></td>
                    <td class="colLast">
                        <div class="block">Unary Plus operator
                            does not have any effect on the operand
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/UnionPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">UnionPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/UnknownPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">UnknownPtg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/ptg/ValueOperatorPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg">ValueOperatorPtg</a></td>
                    <td class="colLast">
                        <div class="block">Common superclass of all value operators.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.ss.formula.ptg Description">Package org.apache.poi.ss.formula.ptg Description</h2>
    <div class="block">formula package contains binary PTG structures used in Formulas

        <h2>Related Documentation</h2>

        For overviews, tutorials, examples, guides, and tool documentation, please see:
        <ul>
            <li><a href="http://poi.apache.org">Apache POI Project</a>
        </ul>

        <!-- Put @see and @since tags down here. --></div>
    <dl>
        <dt><span class="seeLabel">See Also:</span></dt>
        <dd>
            <a href="../../../../../../org/apache/poi/hssf/record/package-summary.html"><code>org.apache.poi.hssf.record</code></a>,
            <a href="../../../../../../org/apache/poi/hssf/record/FormulaRecord.html"
               title="class in org.apache.poi.hssf.record"><code>FormulaRecord</code></a></dd>
    </dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/udf/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/ptg/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
